### Method

# Ggit Repository note_foreach

#### Declaration [src]

    gboolean
    ggit_repository_note_foreach (
      GgitRepository* repository,
      const gchar* notes_ref,
      GgitNoteCallback callback,
      gpointer user_data,
      GError** error
    )

#### Description [src]

Loop over all the notes within a specified namespace and issue a callback for each one. If `callback` returns a non-zero value, this will stop looping.

#### Parameters

`notes_ref`

  Type: `const gchar*`

  Canonical name of the reference to use, or `NULL` to use the default ref.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`callback`

  Type: `GgitNoteCallback`

  A `GgitNoteCallback`.

`user_data`

  Type: `gpointer`

  Callback user data.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if there was no error, `FALSE` otherwise.